Subject: Re: Does VPATH work in make?
From: [email-masked] (Geoffrey Noer)

5 Mar 1998 03:13:30 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Content-Type: text
To: [email-masked] (Terry Colligan)
Cc: [email-masked]

Terry Colligan wrote:
> 
>   I'm trying to switch a *very* large DOS-based project to using
>   the GNU tools.  I have gotten most things to work with Delorie's
>   version, including the make files.  In order to keep the
>   old directory structure, I made use of the VPATH variable to
>   search multiple directories for source files.
[...]

VPATH should work in b19.  Keep in mind that the default installation
has make running in a Unix-compatibility mode as I just explained in
a response to Ernie Boyd's question about MAKE_MODE.  In this mode,
colon is the path list separator.

If MAKE_MODE isn't set, the path list separator will be a semi-colon
which is maybe what your DOS-based project assumes...

Regards,

Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".